Subject: bug#30401: closed (Re: bug#30401: gitolite some important hooks not working)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Nov 2021 23:59:03 +0000

Your bug report

#30401: gitolite some important hooks not working

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30401: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30401
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30401: gitolite some important hooks not working
From: zimoun <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 25 Nov 2021 00:47:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Fri, 09 Feb 2018 at 12:52, [email-masked] wrote:
> A paste that lost its formatting but speaks for itself:

[...]

> Installing the module + perl into the profile didn't help either.
> There's a service NixOS provides which we could replicate, but
> for now I have a crash recovery to make and would like to get
> gitolite up and running. Ideas, input, even small hacks welcome.
>
> guix package -l:
> Generation 1    Feb 09 2018 13:28:26
>   perl-data-dumper-concise      2.023   out
>   /gnu/store/fckd34g3njmjc8yl4vk3hkqj5cbv9mvj-perl-data-dumper-concise-2.023
>
> Generation 2    Feb 09 2018 13:32:57    (current)
>  + perl 5.26.0  out
>  /gnu/store/9g4fpfz86vjkx83v5696vm5dzg2sc9qj-perl-5.26.0
>
>
>  env:
>  DICPATH=/home/git/.guix-profile/share/hunspell:/run/current-system/profile/share/hunspell
>  LANG=en_US.UTF-8
>  GTK_DATA_PREFIX=/run/current-system/profile
>  GST_PLUGIN_PATH=/home/git/.guix-profile/lib/gstreamer-1.0
>  GIT_SSL_CAINFO=/run/current-system/profile/etc/ssl/certs/ca-certificates.crt
>  LINUX_MODULE_DIRECTORY=/run/booted-system/kernel/lib/modules
>  GUILE_LOAD_COMPILED_PATH=/run/current-system/profile/lib/guile/2.2/site-ccache:/run/current-system/profile/share/guile/site/2.2
>  USER=git
>  TZDIR=/gnu/store/bzj472nmnnj5hcfd5yvfiqip1wzw84p9-tzdata-2017b/share/zoneinfo
>  GUIX_LOCPATH=/run/current-system/locale
>  PWD=/home/git
>  HOME=/home/git
>  XDG_DATA_DIRS=/home/git/.guix-profile/share:/run/current-system/profile/share
>  SSL_CERT_FILE=/etc/ssl/certs/ca-certificates.crt
>  GIT_EXEC_PATH=/run/current-system/profile/libexec/git-core
>  SHELL=/gnu/store/ars9lm9jk9hgdifg0gqvf1jrvz5mdg1j-bash-4.4.12/bin/bash
>  TERM=st-256color
>  PERL5LIB=/home/git/.guix-profile/lib/perl5/site_perl
>  SHLVL=1
>  MANPATH=/run/current-system/profile/share/man:/home/git/.guix-profile/share/man:/run/current-system/profile/share/man
>  SSL_CERT_DIR=/etc/ssl/certs
>  BASH_LOADABLES_PATH=/run/current-system/profile/lib/bash
>  LOGNAME=git
>  GUILE_LOAD_PATH=/run/current-system/profile/share/guile/site/2.2
>  XDG_CONFIG_DIRS=/home/git/.guix-profile/etc/xdg:/run/current-system/profile/etc/xdg
>  DBUS_FATAL_WARNINGS=0
>  PATH=/home/git/.guix-profile/bin:/run/setuid-programs:/run/current-system/profile/bin:/run/current-system/profile/sbin
>  INFOPATH=/run/current-system/profile/share/info:/home/git/.guix-profile/share/info:/run/current-system/profile/share/info
>  XCURSOR_PATH=/home/git/.icons:/home/git/.guix-profile/share/icons:/run/current-system/profile/share/icons
>  _=/run/current-system/profile/bin/env

Reading the all thread, it appears to me that it lacks info for
investigating.  Therefore, I am closing.

If I miss something, feel free to reopen.

Cheers,
simon

Subject: gitolite some important hooks not working
From: [email-masked]
To: GUIX Bugs <[email-masked]>
Date: Fri, 09 Feb 2018 12:52:00 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

A paste that lost its formatting but speaks for itself:

Counting objects: 4, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (4/4), 1.03 KiB | 1.03 MiB/s, done.
Total 4 (delta 0), reused 0 (delta 0)
remote: Can't locate Data/Dumper.pm in @INC (you may need to
install the Data::Dumper module) (@INC contains:
/gnu/store/v3k3dmkdaz3giap6ir06dj12sid42086-gitolite-3.6.6/share/gitolite/lib
/home/git/.guix-profile/lib/perl5/site_perl /etc/perl
/usr/local/lib/x86_64-linux-gnu/perl/5.24.1
/usr/local/share/perl/5.24.1 /usr/lib/x86_64-linux-gnu/perl5/5.24
/usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.24
/usr/share/perl/5.24 /usr/local/lib/site_perl
/usr/lib/x86_64-linux-gnu/perl-base .) at
/gnu/store/v3k3dmkdaz3giap6ir06dj12sid42086-gitolite-3.6.6/share/gitolite/lib/Gitolite/Common.pm
line 65.
remote: BEGIN failed--compilation aborted at
/gnu/store/v3k3dmkdaz3giap6ir06dj12sid42086-gitolite-3.6.6/share/gitolite/lib/Gitolite/Common.pm
line 65.
remote: Compilation failed in require at
/gnu/store/v3k3dmkdaz3giap6ir06dj12sid42086-gitolite-3.6.6/share/gitolite/lib/Gitolite/Rc.pm
line 25.
remote: BEGIN failed--compilation aborted at
/gnu/store/v3k3dmkdaz3giap6ir06dj12sid42086-gitolite-3.6.6/share/gitolite/lib/Gitolite/Rc.pm
line 25.
remote: Compilation failed in require at
/gnu/store/v3k3dmkdaz3giap6ir06dj12sid42086-gitolite-3.6.6/share/gitolite/lib/Gitolite/Hooks/Update.pm
line 13.
remote: BEGIN failed--compilation aborted at
/gnu/store/v3k3dmkdaz3giap6ir06dj12sid42086-gitolite-3.6.6/share/gitolite/lib/Gitolite/Hooks/Update.pm
line 13.
remote: Compilation failed in require at hooks/update line 7.
remote: BEGIN failed--compilation aborted at hooks/update line 7.
remote: error: hook declined to update refs/heads/master
To snow.crash.cx:gitolite-admin
 ! [remote rejected] master -> master (hook declined)
 error: failed to push some refs to
 [email-masked]:gitolite-admin'

Installing the module + perl into the profile didn't help either.
There's a service NixOS provides which we could replicate, but
for now I have a crash recovery to make and would like to get
gitolite up and running. Ideas, input, even small hacks welcome.

guix package -l:
Generation 1    Feb 09 2018 13:28:26
  perl-data-dumper-concise      2.023   out
  /gnu/store/fckd34g3njmjc8yl4vk3hkqj5cbv9mvj-perl-data-dumper-concise-2.023

Generation 2    Feb 09 2018 13:32:57    (current)
 + perl 5.26.0  out
 /gnu/store/9g4fpfz86vjkx83v5696vm5dzg2sc9qj-perl-5.26.0

 env:
 DICPATH=/home/git/.guix-profile/share/hunspell:/run/current-system/profile/share/hunspell
 LANG=en_US.UTF-8
 GTK_DATA_PREFIX=/run/current-system/profile
 GST_PLUGIN_PATH=/home/git/.guix-profile/lib/gstreamer-1.0
 GIT_SSL_CAINFO=/run/current-system/profile/etc/ssl/certs/ca-certificates.crt
 LINUX_MODULE_DIRECTORY=/run/booted-system/kernel/lib/modules
 GUILE_LOAD_COMPILED_PATH=/run/current-system/profile/lib/guile/2.2/site-ccache:/run/current-system/profile/share/guile/site/2.2
 USER=git
 TZDIR=/gnu/store/bzj472nmnnj5hcfd5yvfiqip1wzw84p9-tzdata-2017b/share/zoneinfo
 GUIX_LOCPATH=/run/current-system/locale
 PWD=/home/git
 HOME=/home/git
 XDG_DATA_DIRS=/home/git/.guix-profile/share:/run/current-system/profile/share
 SSL_CERT_FILE=/etc/ssl/certs/ca-certificates.crt
 GIT_EXEC_PATH=/run/current-system/profile/libexec/git-core
 SHELL=/gnu/store/ars9lm9jk9hgdifg0gqvf1jrvz5mdg1j-bash-4.4.12/bin/bash
 TERM=st-256color
 PERL5LIB=/home/git/.guix-profile/lib/perl5/site_perl
 SHLVL=1
 MANPATH=/run/current-system/profile/share/man:/home/git/.guix-profile/share/man:/run/current-system/profile/share/man
 SSL_CERT_DIR=/etc/ssl/certs
 BASH_LOADABLES_PATH=/run/current-system/profile/lib/bash
 LOGNAME=git
 GUILE_LOAD_PATH=/run/current-system/profile/share/guile/site/2.2
 XDG_CONFIG_DIRS=/home/git/.guix-profile/etc/xdg:/run/current-system/profile/etc/xdg
 DBUS_FATAL_WARNINGS=0
 PATH=/home/git/.guix-profile/bin:/run/setuid-programs:/run/current-system/profile/bin:/run/current-system/profile/sbin
 INFOPATH=/run/current-system/profile/share/info:/home/git/.guix-profile/share/info:/run/current-system/profile/share/info
 XCURSOR_PATH=/home/git/.icons:/home/git/.guix-profile/share/icons:/run/current-system/profile/share/icons
 _=/run/current-system/profile/bin/env
-- 
ng0 :: https://crash.cx
A88C8ADD129828D7EAC02E52E22F9BBFEE348588 :: https://crash.cx/keys/